Hi ,

It clearly says that you don't have xvimagesink plugin installed in your machine.

you can again test it using command  "gst-inspect xvimagesink".

Now the reason of this could be the way you installed Gstreamer and related packages.

In short I can advise you to install Gstreamer again by downloading latest tar balls and while installation use "--prefix=/usr "  so that all the plugins sit in default location (/usr/lib).





On Sun, Oct 31, 2010 at 11:07 PM, Abhishek Gupta <abhishekgupta.iitd@gmail.com> wrote:
When I type
gst-launch v4l2src ! video/x-raw-yuv,width=320,height=240,framerate=20/1 ! xvimagesink
in the terminal

I get the following
WARNING: erroneous pipeline: no element "xvimagesink"

and nothing happens.
I have latest gstreamer as well as gstreamer plugins (base, bad, good, ugly) installed using tar balls. I am using Ubuntu 10.04 machine.

--
Cheers
Abhishek

------------------------------------------------------------------------------
Nokia and AT&T present the 2010 Calling All Innovators-North America contest
Create new apps & games for the Nokia N8 for consumers in  U.S. and Canada
$10 million total in prizes - $4M cash, 500 devices, nearly $6M in marketing
Develop with Nokia Qt SDK, Web Runtime, or Java and Publish to Ovi Store
http://p.sf.net/sfu/nokia-dev2dev
_______________________________________________
gstreamer-devel mailing list
gstreamer-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/gstreamer-devel




--
Regards,

Sudarshan Bisht